<mat-accordion>
    <mat-expansion-panel>
        <mat-expansion-panel-header>
            <mat-panel-title>
                {{ tile.title }}
            </mat-panel-title>
            <mat-panel-description>
                <span>{{ tile.genre }}</span>
                <span>{{ tile.year }}</span>
            </mat-panel-description>
        </mat-expansion-panel-header>

        <img mat-card-image fxFlex="10" [src]="tile.poster" [alt]="tile.title">
        <div fxFlex="80">
            <div>actors: {{ tile.actors }}</div>
            <div>director: {{ tile.director }}</div>
            <div>writer: {{ tile.writer }}</div>
            <div>plot: {{ plot }}</div>
        </div>
        <button mat-icon-button fxFlex="10" aria-label="select">
            <mat-icon>arrow-right</mat-icon>
        </button>
    </mat-expansion-panel>
</mat-accordion>